/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_ITDESPREBASE                                             */
/* Tabela : ITDESPREBASE                                                      */
/*                                                                            */
/* Criao:                                                                   */
/* 17/03/2004 - Raphael Freitas Pinheiro                                      */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_ITDESPREBASE
BEFORE INSERT OR UPDATE OR DELETE
ON ITDESPREBASE FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUDEPR := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDPRECOBASE,0)  <> NVL(:NEW.CDPRECOBASE,0)) OR
         (NVL(:OLD.CDPAIS,0)       <> NVL(:NEW.CDPAIS,0))      OR
         (NVL(:OLD.SGESTADO,0)     <> NVL(:NEW.SGESTADO,0))    OR
         (NVL(:OLD.CDPRODUTO,0)    <> NVL(:NEW.CDPRODUTO,0))   OR
         (NVL(:OLD.VRPEMAXDESPR,0) <> NVL(:NEW.VRPEMAXDESPR,0)) THEN
         :NEW.DTULTATUDEPR := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('ITDESPREBASE', '', 'CDPRECOBASE='||:OLD.CDPRECOBASE||';CDPAIS='||:OLD.CDPAIS||';SGESTADO='||:OLD.SGESTADO||';CDPRODUTO='||:OLD.CDPRODUTO||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE ITDESPREBASE MODIFY DTULTATUDEPR DEFAULT SYSDATE
/

